Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mapping
Class MappingValueRename

    java.lang.Object
      org.pentaho.di.trans.steps.mapping.MappingValueRename

All Implemented Interfaces:
  Cloneable

    public class MappingValueRename

extends Object
implements Cloneable

Constructor Summary
`MappingValueRename(String sourceValueName, String targetValueName)`

Method Summary
`Object` | `clone()`
`boolean` | `equals(Object obj)`
`String` | `getSourceValueName()`
`String` | `getTargetValueName()`
`int` | `hashCode()`
`void` | `setSourceValueName(String sourceValueName)`
`void` | `setTargetValueName(String targetValueName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingValueRename

    public MappingValueRename(String sourceValueName,
                              String targetValueName)

Parameters:
  `sourceValueName` -
  `targetValueName` -

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getSourceValueName

    public String getSourceValueName()

  Returns:
    the sourceValueName

### setSourceValueName

    public void setSourceValueName(String sourceValueName)

  Parameters:
    `sourceValueName` - the sourceValueName to set

### getTargetValueName

    public String getTargetValueName()

  Returns:
    the targetValueName

### setTargetValueName

    public void setTargetValueName(String targetValueName)

  Parameters:
    `targetValueName` - the targetValueName to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD